﻿Imports System.Drawing.Drawing2D

Public Class Form1
    ' Redraw on resize.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Me.ResizeRedraw = True
    End Sub

    Private Sub Form1_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        ' Make things smoother.
        e.Graphics.SmoothingMode = SmoothingMode.AntiAlias

        ' Create the text path.
        Dim path As New GraphicsPath(FillMode.Alternate)

        ' Draw text using a StringFormat to center it on the form.
        Using font_family As New FontFamily("Times New Roman")
            Using sf As New StringFormat()
                sf.Alignment = StringAlignment.Center
                sf.LineAlignment = StringAlignment.Center
                path.AddString("Hollow Text", font_family, _
                    CInt(FontStyle.Bold), 100, _
                    Me.ClientRectangle, sf)
            End Using
        End Using

        ' Fill and draw the path.
        e.Graphics.FillPath(Brushes.Blue, path)
        Using pen As New Pen(Color.Black, 3)
            e.Graphics.DrawPath(pen, path)
        End Using
    End Sub
End Class
